Bug 616280 - pywebkitgtk segfaults
pywebkitgtk segfaults
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pywebkitgtk (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Ignacio Vazquez-Abrams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 22:22 EDT by Lucian
Modified: 2010-12-03 08:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:10:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lucian 2010-07-19 22:22:18 EDT
Description of problem:
In many cases, pywebkitgtk will segfault. I'm working on porting Sugar's Browse to pywebkitgtk (http://git.sugarlabs.org/projects/browse/repos/mainline/trees/webkit). The most common segfault is whenever I touch the history (webkit.WebBackForwardList), but segfaults happen in other cases as well.

Version-Release number of selected component (if applicable):
pywebkitgtk 1.1.6-2

How reproducible:
Do anything with a webkit.WebBackForwardList()

Steps to Reproduce:
In the python interpreter
>>> import webkit
>>> webkit.WebBackForwardList()
<webkit.WebBackForwardList object at 0x22445a0 (WebKitWebBackForwardList at 0x22c4a70)>
>>> webkit.WebBackForwardList()
Segmentation fault (core dumped)
  
Actual results:
Segmentation fault


Expected results:
No segmentation fault


Additional info:
Ubuntu's 1.1.6 works just fine, no segfaults.

Here are backtraces from two segfaults:
http://gist.github.com/479798
http://gist.github.com/479589
Comment 1 Lucian 2010-07-20 15:04:27 EDT
I forgot to add, calling webkit.WebBackForwardList.get_back_list_with_limit or webkit.WebBackForwardList.get_forward_list_with_limit always segfaults on fedora, but not on ubuntu.
Comment 2 Lucian 2010-07-21 11:32:21 EDT
Reported with upstream http://code.google.com/p/pywebkitgtk/issues/detail?id=48
Comment 3 Bug Zapper 2010-11-03 07:47:50 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 08:10:39 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.